Page MenuHomePhabricator

Outreachy proposal for "Wiki 3d warehouse"
Closed, DeclinedPublic

Description

Name: Laura Camellini
email: jeeltcraft@gmail.com or jilt@jeeltcraft.com
web page and portfolio: www.jeeltcraft.com
Blog: http://thedrunkstage.jeeltcraft.com
Resume: http://www.jeeltcraft.com/CV_en.pdf
Location: Modena, Italy

Typical working hours: 9-13 16-20

Short summary
Hi I'd like to use the wikimedia commons monuments' pictures database (using images from the wiki loves monuments db http://www.wikilovesmonuments.org/) to build a stack of 3D models of monuments using blender and simple 3D buildings.
3D models would be created with the purpose of archeological open data pubblishing, studing a metodology to implement online web navigability through blend4web and linked on wikimedia commons monument pages, on wikimedia there will be a link to the an openstreetmap exporter for procedural semantic data implementation through openstreetmap tags.
For this last task I would implement an export tool to export the 3dmesh and sematic data to IFC open source format, which is studied right now as a standard for archeological 3D models for open data sharing in Italy and put that on Openstreetmap or wikimedia servers.
These 3D models and their semantic data will be linked as HTML pages on wikipedia and wikimedia commons page for each monument, where there is a link to the openstreetmap location of the monument, I'll add a link to the esporting tool for semantica data also.

Possible mentors:

@Dkieselev (OSM and wikimedia community tech 3d part)
@Baruneju (wikimedia community 3D tech)
@Saverio.G (wikimedia community archeologist)

Timeline:

Task 1
Building models: (monuments in my region)
1 month and a half.
I'll build as many 3D models as I can using blender and export them for online navigation with blend4web in order to put the resulting html and json file in a widget module for mediawiki. The module development and implementation is described in the other of the project and will be brought on with the cooperation of the wikimedia tech team.

Task 2:
Putting parametric tags on 3D models:
1 month.
This can be achieved in two different way, I can use the MediaWiki tags to implement a specific taxonomy for 3D procedural models or I can use simple 3d building and put 3D monuments on openstreetmap (linked to the blend4web generated page and to the wikimedia page), the choice between this two road must be chosen by the wikimedia tech team, keeping the point that this task was suggested by the archeology community inside the italian wikimedia community and has had a declaration of interest on this phabricator task.
Any decision that should be taken in terms of technical tools to use, I will implement as many semantic tags as I can find through my mentors' archeologic connections.

Task 3:
Build the exporting tool for procedural and semantic data:
1 month and a half:
I need to interact intensively with the osm and/or wikimedia tech crew to implement this tool to be linked on wikimedia commons pages through this widget.
The impact of this implementation would be great on the archeology's community in italy, in term of sharing information about monuments and improving researches from around the world.
I would be able to develop this tool in javascript, php or python as you can see from my resume, @Dkieselev has already given me support for this task, which is the more challenging of my internship.

Tech requirements:
A server with static ip to store 3D models, it would be handy to get ssh access to the server in order to run blender from remote and rebuild webgl models directly on the server if necessary.
The needed storage wouldn't be more that 40-50 gb to get at least one updated backup everytime I upload a Model.
I would love to get these required tech resources by wikimedia foundation.

Results:

At the end of the project my region (EmiliaRomagna Italy) may be covered of at least one 3D turistic route viewable in openstreetmap and in a blend4web low poly interactive html page, like this demo.
I will publish also a document in cooperation with the private and public social entities with wich I've been taking contacts and I will take contacts during the project (through my mentors), about the standars of open data for archeological monuments.

List of contacts which I already have to develop the open data 3D model standard for archeology:
cineca virtual school
Archeolab community
Arch Team
archeoFOSS
OpenPompei
3D icons
Simone Garagnani e Andrea Gaucci, Bologna University who created 3D models for Experience Etruria and Apa (sorry just in Italian)

I would contact these people through meetings, such as openstreetmap italian meeting and through their online community during the entire 4 months period, to be able to write down a good document on open data standards, taking main care to the data that whould impact more on research (procedural data), turism information(routes in openstrettmaps and html webscenarios), the 3D printing part is not necessary as long as Openstreetmap already has a metodology fro processing 3D objects to OBJ format for printing explained here:

http://wiki.openstreetmap.org/wiki/3D_printing

Contacting mentors.
With the italian mentors we'll meet for the first time discussing this project on 29 october in Bologna.
With Dimitri we have been talking a lot about the project of skype and I think we'll keep

About me:

A part from what's written in my curriculum, I just finished the cineca 3D graphics for virtual heritage summer school learning their usage of blender for archeological purposes.
I've been working on the open source cinelerra community for a pair of years from 2008 and 2010 on a Modena's municipality project called netgarage, before starting to work as a freelance web design, my actual occupation.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Aklapper renamed this task from Outreachy proposal for project task to Outreachy proposal for "Wiki 3d warehouse".Oct 20 2015, 10:52 AM
Aklapper removed Dkiselev as the assignee of this task.
Aklapper set Security to None.

Hi Jeeltcraft, thanks for your interest! Please feel encouraged to edit the task description to follow the application template in your proposal's description.

Qgil added a comment.Oct 20 2015, 12:50 PM

Thank you for your proposal, @Jeeltcraft.

Is this project idea is within the scope of Wikimedia? It will depend on how strong is the interest of Commons. If you really want to push this proposal in Wikimedia, I recommend you to announce your proposal at Commons' village pump, pointing to this task. As of today, the resulting files could not be uploaded to Commons or used as such in Wikimedia projects, is this correct?

OpenStreetMap also participates in Outreachy-Round-11, have you contacted them?

Also, we would need two mentors backing this proposal.

jm3 added a subscriber: jm3.Oct 20 2015, 3:48 PM
Jeeltcraft updated the task description. (Show Details)Oct 21 2015, 5:02 PM
Jeeltcraft added a comment.EditedOct 21 2015, 5:05 PM

Thank you for your proposal, @Jeeltcraft.
Is this project idea is within the scope of Wikimedia? It will depend on how strong is the interest of Commons. If you really want to push this proposal in Wikimedia, I recommend you to announce your proposal at Commons' village pump, pointing to this task. As of today, the resulting files could not be uploaded to Commons or used as such in Wikimedia projects, is this correct?

This is not correct, I'm in contact with the italian wikimedia commons president and as long as he's been telling me there are no problems in me uploading models on wikimedia pages, in order to solve this issue I'm getting in touch with the wikimedia tech team and I set up some tech requirement to be sure everything goes well.

OpenStreetMap also participates in Outreachy-Round-11, have you contacted them?
Also, we would need two mentors backing this proposal.

Still looking for a wikimedia mentorship.

Jeeltcraft updated the task description. (Show Details)Oct 21 2015, 5:06 PM
Jeeltcraft updated the task description. (Show Details)Oct 21 2015, 7:20 PM
Jeeltcraft updated the task description. (Show Details)
Jeeltcraft updated the task description. (Show Details)Oct 21 2015, 7:24 PM
Jeeltcraft updated the task description. (Show Details)Oct 21 2015, 9:01 PM
jm3 removed a subscriber: jm3.Oct 21 2015, 10:01 PM
01tonythomas moved this task from Backlog to Need Mentors on the Possible-Tech-Projects board.
01tonythomas added a subscriber: 01tonythomas.

I am moving this to missing-mentors in Possible-tech-projects as the task do not have two mentors connected with it.

Err. Looks like this is a proposal submitted for an #outreachy-11 project, which lacks two mentors. Pushing it back to its workboard

Jeeltcraft added a comment.EditedOct 22 2015, 7:08 AM

Err. Looks like this is a proposal submitted for an #outreachy-11 project, which lacks two mentors. Pushing it back to its workboard

In fact it's missing only one mentor, @Dkieselev has acccepted to mentor me on this... Tech requirements have been set up with another possibile mentor from wikimedia community...

Qgil added a comment.Oct 22 2015, 8:37 AM

This is not correct, I'm in contact with the italian wikimedia commons president and as long as he's been telling me there are no problems in me uploading models on wikimedia pages, in order to solve this issue I'm getting in touch with the wikimedia tech team and I set up some tech requirement to be sure everything goes well.

Your proposal says that you are going to provide .stl files. They are not supported in Commons: https://commons.wikimedia.org/wiki/Commons:File_types

You can paste the content of an STL file to a wiki page and/or you can render STL files to i.e. PNG, but these are different types of outcome. It is good that you have personal contacts, but this proposal needs to be advertised and discussed in Commons' village pump. At the end it is a project about creating content, not about developing software, so not even WMF Engineering or the entire WMF have much to say. It's a decisions of the Wikimedia Commons community.

Jeeltcraft added a comment.EditedOct 22 2015, 10:05 AM

This is not correct, I'm in contact with the italian wikimedia commons president and as long as he's been telling me there are no problems in me uploading models on wikimedia pages, in order to solve this issue I'm getting in touch with the wikimedia tech team and I set up some tech requirement to be sure everything goes well.

Your proposal says that you are going to provide .stl files. They are not supported in Commons: https://commons.wikimedia.org/wiki/Commons:File_types
You can paste the content of an STL file to a wiki page and/or you can render STL files to i.e. PNG, but these are different types of outcome. It is good that you have personal contacts, but this proposal needs to be advertised and discussed in Commons' village pump. At the end it is a project about creating content, not about developing software, so not even WMF Engineering or the entire WMF have much to say. It's a decisions of the Wikimedia Commons community.

I'm really sorry for this misunderstanding, i thought phabbricator was the right place to post this project for the international wikimedia community, the outreachy pages also point here, maybe you should tell them to change the link to be sure this kind of things dies not happen anymore...
STL is the standard for the 3D printing community, i can post the mesh in obj format if it works better, it will be an open format like IFC anyways...

Aklapper removed Dkiselev as the assignee of this task.Oct 22 2015, 11:07 AM

[Removing assignee as this task will not get "resolved" by the assignee.]

Qgil assigned this task to Jeeltcraft.EditedOct 22 2015, 1:34 PM

This is an Outreachy proposal presented by @Jeelcraft, and should be assigned to her.

@Jeeltcraft, you are using Phabricator correctly, no worries. :) https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal says

Bringing your own idea is also possible, but usually this requires a good knowledge of our community and starting to plan months before the call for submissions. Before investing too much time on it, create a new task in Phabricator with a simple draft. We will share our first impression in the task itself.

Sharing my first impression is what I'm doing here. :) I'm providing arguments to help you improve your proposal and decide next steps.

Please re-read my comments. Commons only accepts the file formats specified at https://commons.wikimedia.org/wiki/Commons:File_types

Jeeltcraft added a comment.EditedOct 22 2015, 2:55 PM

This is an Outreachy proposal presented by @Jeelcraft, and should be assigned to her.
@Jeeltcraft, you are using Phabricator correctly, no worries. :) https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal says

Bringing your own idea is also possible, but usually this requires a good knowledge of our community and starting to plan months before the call for submissions. Before investing too much time on it, create a new task in Phabricator with a simple draft. We will share our first impression in the task itself.

Sharing my first impression is what I'm doing here. :) I'm providing arguments to help you improve your proposal and decide next steps.
Please re-read my comments. Commons only accepts the file formats specified at https://commons.wikimedia.org/wiki/Commons:File_types

The task was first propose by @Dkieselev , not by me, i only create a subtask for the outreachy as in the application templare is asked. Dkieselev accepted to mentor for this task in a private conversation on skype.

I'm editing the task with obj format instead of STL hope this will dolce this great format problem.

Jeeltcraft updated the task description. (Show Details)Oct 22 2015, 3:00 PM
Jeeltcraft added a comment.EditedOct 22 2015, 3:03 PM

What's wrong with @Dkieselev mentoring me? He proposed the task first....

Qgil added a comment.Oct 22 2015, 3:47 PM

OK, let's try to clarify all this confusion:

  • T107410: Wiki 3d warehouse is a Possible-Tech-Projects under discussion. That project idea suffers the same problems of scope and technology that I have mentioned here.
  • As far as I can see, @Dkiselev is not a Commons contributor. We haven't got any records of he willing to mentor this project, but this is easy to fix. He should address the concerns I'm raising, though.
  • There are 10 days left before the deadline, and this proposal plus the original project idea are very unclear. Nobody from the Commons community has expressed any support, and I still wonder whether they are aware at all that this is being proposed. Again, a quick post to Commons Village Pump linking to this proposal would clarify things.

While these questions are being unansewered, I still think that your chances of success with this proposal are a lot bigger at http://wiki.openstreetmap.org/wiki/Outreachy_Round_11.

@Jeeltcraft, I hope you see that I'm trying to help you. Your proposal is objectively interesting but, as it is today, it cannot be an Outreachy internship for Wikimedia. You and @Dkiselev still have time to redress this proposal and make it a successful Outreachy candidate, but you need to change your plans, or change your org.

OK, let's try to clarify all this confusion:

  • T107410: Wiki 3d warehouse is a Possible-Tech-Projects under discussion. That project idea suffers the same problems of scope and technology that I have mentioned here.
  • As far as I can see, @Dkiselev is not a Commons contributor. We haven't got any records of he willing to mentor this project, but this is easy to fix. He should address the concerns I'm raising, though.
  • There are 10 days left before the deadline, and this proposal plus the original project idea are very unclear. Nobody from the Commons community has expressed any support, and I still wonder whether they are aware at all that this is being proposed. Again, a quick post to Commons Village Pump linking to this proposal would clarify things.

While these questions are being unansewered, I still think that your chances of success with this proposal are a lot bigger at http://wiki.openstreetmap.org/wiki/Outreachy_Round_11.
@Jeeltcraft, I hope you see that I'm trying to help you. Your proposal is objectively interesting but, as it is today, it cannot be an Outreachy internship for Wikimedia. You and @Dkiselev still have time to redress this proposal and make it a successful Outreachy candidate, but you need to change your plans, or change your org.

I changed the 3d format to OBJ which is actually supporter by wikimedia as far as I know

I changed the 3d format to OBJ which is actually supporter by wikimedia, anyways if you carefully read the proposal it says that the final 3d file will be a navigabile HTML using webgl technologies, so o don't see the format problem by now

I'm posting the link to this project in that page you mentioned, and I'm trying to get the interest manifestazione by the italian wikimedia community.

Jeeltcraft added a comment.EditedOct 22 2015, 4:14 PM

Italia an archeology community is on wikimedia commons, the monumento database is on wikimedia commons, i really don't know why i should referendum to openstreetmap.
Osm is to me just a tool to get a georeferenced 3d procedural semantic model.

Jeeltcraft added a comment.EditedOct 22 2015, 4:15 PM

Italian archeology community is on wikimedia commons, the monumento database is on wikimedia commons, i really don't know why i should refer to openstreetmap.
Osm is to me just a tool to get a georeferenced 3d procedural semantic model.

I changed the 3d format to OBJ which is actually supporter by wikimedia as far as I know

https://commons.wikimedia.org/wiki/Commons:File_types currently does not list OBJ, could you clarify / provide some reference?

I'm posting the link to this project in that page you mentioned, and I'm trying to get the interest manifestazione by the italian wikimedia community.

To avoid further unfortunate confusion in this task, please paste links to relevant discussions.

!In T115987#1745580, @Qgil wrote:

Nobody from the Commons community has expressed any support, and I still wonder whether they are aware at all that this is being proposed. Again, a quick post to Commons Village Pump linking to this proposal would clarify things.

As Commons is multi-lingual I'd highly recommend to also bring this up on the English Commons village pump at https://commons.wikimedia.org/wiki/Commons:Village_pump - again, we are interested in expressed support.

Good day everybody.
I'm ready to mentor this project in OSM interoperability part.
Is there any kind of special form which I should fill out?

Hello everybody. As a member of Wikimedia Italia and former it.wikipedia sysop, I would gladly mentor this project for the commons and wikimedia projects side.

Hi everybody, I am a member Wikimedia Italy, archaeologist and 3D modeler, I give my support as a mentor to this very interesting project.

For everybody's interest, mentor information/expectations can be found in https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal linked from https://www.mediawiki.org/wiki/Outreachy/Round_11

In general, I urge to read previous comments and answer open questions in this task.

Elitre added a subscriber: Elitre.Oct 23 2015, 10:31 AM

About file formats I'm reading the discussione and will partecipate to that and update the wikimedia pages for outreachy tomorrow.
Sorry but I just can't do it before.

About mentorship i see there are no more doubts about the wikimedia community interest..

When it comes to clarifying community interest, links to related on-wiki discussions/threads are extremely welcome.

Jeeltcraft updated the task description. (Show Details)Oct 24 2015, 1:07 PM

Ok, the file format problem is solved, openstreetmap already has an exporting procedure for 3D models, so the only file I would link to the wikimedia commons pages are html and javascript files.

Jeeltcraft updated the task description. (Show Details)Oct 24 2015, 1:28 PM
Jeeltcraft updated the task description. (Show Details)Oct 25 2015, 9:45 AM

Hi everybody, I am a member of Wikimedia Italy, archaeologist and IT expert. I give my support as a mentor to this project because it is an interesting way to reuse archaeological data.

Thanks; no need for more support comments in this task. :)
Instead, T115987#1745900 and T115987#1747957 are items I'd recommend concentrating on.

I changed the 3d format to OBJ which is actually supporter by wikimedia as far as I know

https://commons.wikimedia.org/wiki/Commons:File_types currently does not list OBJ, could you clarify / provide some reference?

I'm posting the link to this project in that page you mentioned, and I'm trying to get the interest manifestazione by the italian wikimedia community.

To avoid further unfortunate confusion in this task, please paste links to relevant discussions.

!In T115987#1745580, @Qgil wrote:

Nobody from the Commons community has expressed any support, and I still wonder whether they are aware at all that this is being proposed. Again, a quick post to Commons Village Pump linking to this proposal would clarify things.

As Commons is multi-lingual I'd highly recommend to also bring this up on the English Commons village pump at https://commons.wikimedia.org/wiki/Commons:Village_pump - again, we are interested in expressed support.

There is no need to digg of format problems, the monuments will be in HTML format, LinkedIn to wikimedia commons pages, the 3d printing is manageable through openstreetmap:

wiki.openstreetmap.org/wiki/3D_printing

So the format problem doesn't exist anymore, i won't post any 3d format object to the wikimedia commons pages.
If you want me to post this statement to the village_pump page I will but it doesn't look to me like a great effort in terms of improving the wikimedia commons discussion about formats.

If you want me to post this statement to the village_pump page I will but it doesn't look to me like a great effort in terms of improving the wikimedia commons discussion about formats.

For the records, nobody mentioned file formats in T115987#1745580, which you quoted as replying to.

Qgil added a comment.Oct 27 2015, 12:04 PM

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G, the questions about the scope and feasibility of this project in the context of Wikimedia and Commons remain open. The Commons community needs to know that this proposal is being presented, and I have been requesting you to post in their Village Pump. Without clear community support, we cannot accept this proposal.

Trying to help you, I have just posted https://commons.wikimedia.org/wiki/Commons:Village_pump#Outreachy_project_proposal_welcomes_Commons_community_feedback

Should this not move to Proposals Submitted board?

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G, the questions about the scope and feasibility of this project in the context of Wikimedia and Commons remain open. The Commons community needs to know that this proposal is being presented, and I have been requesting you to post in their Village Pump. Without clear community support, we cannot accept this proposal.
Trying to help you, I have just posted https://commons.wikimedia.org/wiki/Commons:Village_pump#Outreachy_project_proposal_welcomes_Commons_community_feedback

Thanks for posting instead of me.. I wasn't so sure about how to speak about this project, your topic has helped me tomanage my ideas.

Creating 3d models is content creation, and out of scope for OPW in my opinion.

Also the tech part of this plan is of questionable feasibility (Given the details I have, however its really unclear).

So to clarify, are you proposing to do:

  • Build a bunch of 3D models of various buildings
  • Shove these models on a server somewhere
  • link to these models on the external server from commons image description pages, and from osm.

Is that correct? Because that's what I get out of reading your proposal.

Qgil added a comment.Oct 27 2015, 9:24 PM

Creating 3d models is content creation, and out of scope for OPW in my opinion.

It would be out of scope for Google Summer of Code, but it can be considered within scope as a technical project in Outreachy. Non-coding projects are fine in Outreachy as long as they relate to free software.

The questions is whether this is within scope in Wikimedia, and whether we want to use resources dedicated to Outreachy for a content creation project.

So to clarify, are you proposing to do:

  • Build a bunch of 3D models of various buildings
  • Shove these models on a server somewhere
  • link to these models on the external server from commons image description pages, and from osm.

Is that correct? Because that's what I get out of reading your proposal.

Various buildings would be the wiki loves monuments database's monuments for my nearby region.

The "shoved" models would be created with blend4web in html fornat and simple 3d building for geolocation.

The link would be put on wikimedia loves monuments already linked pages.

The last month and a half in the yimeline would be spent to create an export tool linked to the same pages that GENERATES IFC parametric models from the openstreetmap simple 3d building models, this part of the project would be of great impact on the archeology community inside wikimedia Italy and outside, as you can understand with this link that i put on my contacts to work with while developing this tool:

http://www.3dicons-project.eu/

It would be out of scope for Google Summer of Code, but it can be considered within scope as a technical project in Outreachy. Non-coding projects are fine in Outreachy as long as they relate to free software.

But does it relate to free software (in a non-minimal way)? [Except possibly the last bit about an OSM 3d model -> IFC converter]

If someone said they were going to create a bunch of videos to illustrate articles on Wikipedia, it would be out of scope (I assume). I'm not sure how this is any different.

It would be out of scope for Google Summer of Code, but it can be considered within scope as a technical project in Outreachy. Non-coding projects are fine in Outreachy as long as they relate to free software.

But does it relate to free software (in a non-minimal way)? [Except possibly the last bit about an OSM 3d model -> IFC converter]
If someone said they were going to create a bunch of videos to illustrate articles on Wikipedia, it would be out of scope (I assume). I'm not sure how this is any different.

No i won't publish any video, I'll add 3d webgl navigation for exploring monuments ( with one interactive route with blend4web ) and build this exporting tool for researchers always updated on the latest edit of the building, not only for mine (as i said ifc open format models would be generated from tags on simple 3d building osm tool) in my opinion this has a good impact one the archeology community inside wikimedia Italy and would be interesting for many researchers who work on monuments around the world, if you don't think this purpose is enough to get your approval for outreachy you're free to express yourself againt my proposal.

No i won't publish any video, I'll add 3d webgl navigation for exploring monuments ( with one interactive route with blend4web ) and build this exporting tool for researchers always updated on the latest edit of the building, not only for mine (as i said ifc open format models would be generated from tags on simple 3d building osm tool) in my opinion this has a good impact one the archeology community inside wikimedia Italy and would be interesting for many researchers who work on monuments around the world, if you don't think this purpose is enough to get your approval for outreachy you're free to express yourself againt my proposal.

The video comment was a metaphor.

Qgil added a comment.Oct 28 2015, 12:09 PM

If someone said they were going to create a bunch of videos to illustrate articles on Wikipedia, it would be out of scope (I assume). I'm not sure how this is any different.

The comparison is useful, thank you. The Blender - 3D formats - WLM - OSM aspects of this proposal made us focus on technical feasibility and Wikimedia scope for Outreachy, but removing all that, this is a proposal to create content for a Wikimedia project, not a project benefiting Wikimedia as an open source project.

I checked https://wiki.gnome.org/Outreachy and it says

The internships offered are not limited to coding, but include user experience design, graphic design, documentation, web development, marketing, translation and other types of tasks needed to sustain a FOSS project.

Therefore, unless someone comes with better arguments, this proposal is out of scope for Outreachy.

The Wikimedia movement might have other venues to finance an internship to create/curate content (a residency in the context of GLAM would be a close example), but we org admins and volunteers helping in Outreachy have nothing to do with them.

If someone said they were going to create a bunch of videos to illustrate articles on Wikipedia, it would be out of scope (I assume). I'm not sure how this is any different.

The comparison is useful, thank you. The Blender - 3D formats - WLM - OSM aspects of this proposal made us focus on technical feasibility and Wikimedia scope for Outreachy, but removing all that, this is a proposal to create content for a Wikimedia project, not a project benefiting Wikimedia as an open source project.
I checked https://wiki.gnome.org/Outreachy and it says

The internships offered are not limited to coding, but include user experience design, graphic design, documentation, web development, marketing, translation and other types of tasks needed to sustain a FOSS project.

Therefore, unless someone comes with better arguments, this proposal is out of scope for Outreachy.
The Wikimedia movement might have other venues to finance an internship to create/curate content (a residency in the context of GLAM would be a close example), but we org admins and volunteers helping in Outreachy have nothing to do with them.

imho what the outreachy citation calls:

user experience design, graphic design, documentation, web development

Is corresponding to my proposal's point one: 3D models of monuments with html navigation for user experience and graphic design
And to the 3 point of my proposal (real time exporting procedural 3D models generated by openstreetmap simple 3d building) for web development.

If someone said they were going to create a bunch of videos to illustrate articles on Wikipedia, it would be out of scope (I assume). I'm not sure how this is any different.

The comparison is useful, thank you. The Blender - 3D formats - WLM - OSM aspects of this proposal made us focus on technical feasibility and Wikimedia scope for Outreachy, but removing all that, this is a proposal to create content for a Wikimedia project, not a project benefiting Wikimedia as an open source project.
I checked https://wiki.gnome.org/Outreachy and it says

The internships offered are not limited to coding, but include user experience design, graphic design, documentation, web development, marketing, translation and other types of tasks needed to sustain a FOSS project.

Therefore, unless someone comes with better arguments, this proposal is out of scope for Outreachy.
The Wikimedia movement might have other venues to finance an internship to create/curate content (a residency in the context of GLAM would be a close example), but we org admins and volunteers helping in Outreachy have nothing to do with them.

I really don't see any similarity with video content, please try to explain that to me.

Qgil added a comment.EditedOct 28 2015, 2:41 PM

@Jeeltcraft, the point of that sentence is "needed to sustain a FOSS project". Writing Wikipedia articles or publishing 3D models of buildings in Commons helps Wikimedia as a free culture hub, but not as a software development project.

Jeeltcraft added a comment.EditedOct 28 2015, 2:55 PM

@Jeeltcraft, the point of that sentence is "needed to sustain a FOSS project". Writing Wikipedia articles or publishing 3D models of buildings in Commons helps Wikimedia as a free culture hub, but not as a software development project.

@Qgil,
I put in the proposal the *development* of an exporting tool for parametric 3D models real time, it' the third time the I repeat this today, this is ALSO a software development project. based on 3D models studying.

Build the exporting tool for procedural and semantic data:

I see "build" doesn't mean "develop" for you, sorry for misunderstanding

1 month and a half:
I need to interact intensively with the osm and wikimedia tech crew to implement this tool to be linked on openstreetmap and wikimedia commons pages.
The impact of this implementation would be great on the archeology's community in italy, in term of sharing information about monuments and improving researches.

This last sentence could clarify the rest:

I would be able to develop this tool in javascript, php or python as you can see from my resume, @Dkieselev has already given me support for this task, which is the more challenging of my internship.

Please read carefully before judging a proposal that took me several hours to be figured and written.

Thanks for your time and efforts,
LauraC

Elitre removed a subscriber: Elitre.Oct 28 2015, 2:56 PM
Qgil added a comment.Oct 28 2015, 3:29 PM

Right. Your proposal says:

For this last task I would implement an export tool to export the 3dmesh and sematic data to IFC open source format, which is studied right now as a standard for archeological 3D models for open data sharing in Italy and put that on Openstreetmap or wikimedia servers.

Commons doesn't support IFC today, therefore funding a tool to export to IFC today seems premature or out of place. This is another of the many technical questions that this proposal has still open in relation to what Commons does and supports.

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G: the difference between having or not an Outreachy project probably depends on your decisions right now. I don't see you have much chances of having a Wikimedia proposal accepted, looking at the proposal today and how the discussion has gone so far. I see you have more chances of having this proposal accepted for OSM, although this is of course something that it is up to them to decide, and the scope of Outreachy is the same for them. Submitting a proposal for them is easy (if you haven't done this yet), just copy your proposal, remove the Wikimedia references and focus on the OSM references.

We process dozens of project ideas and proposals in each round, and we discuss with dozens of mentors and candidates. I think we have a good grasp of when a proposal is heading in a direction in line with Wikimedia or not. In your own interest, I recommend you to trust our criteria.

Right. Your proposal says:

For this last task I would implement an export tool to export the 3dmesh and sematic data to IFC open source format, which is studied right now as a standard for archeological 3D models for open data sharing in Italy and put that on Openstreetmap or wikimedia servers.

Commons doesn't support IFC today, therefore funding a tool to export to IFC today seems premature or out of place. This is another of the many technical questions that this proposal has still open in relation to what Commons does and supports.

IFC would be generated on an exporting tool from OSM and not hosted on wikimedia commons, se my previous comments PLEASE

We process dozens of project ideas and proposals in each round, and we discuss with dozens of mentors and candidates. I think we have a good grasp of when a proposal is heading in a direction in line with Wikimedia or not. In your own interest, I recommend you to trust our criteria.

I've been reading your criteria and your suggestion, please I beg you to read my full proposal and my answer tyo all the objections you've already done before going any further in commenting, you'll find out many interesting clues on the proposal, something like "the impact" which is so important to get an outreachy proposal accepted.

Again thanks for your time and efforts,
I assure you don't have to repeat what you've said and I answered to many days ago.

I think there might be a bit of a language barrier here causing misunderstanding. Maybe.


This part of your plan:

1 month and a half.
I'll build as many 3D models as I can using blender

Is the part I think is out of scope.

and export them for online navigation with blend4web in order to put a link to them on the wikimedia commons correspondig page.

This part is probably in-scope. But in terms of goals for Wikimedia, having 3d-content by linking to an external site (or tool labs) is unideal. We want 3d content as first class citizens at wikimedia commons.

I will also try to implement the wikimedia commons database during this period of time adding something that I see is missing for my nearby region (emiliaromagna)

I don't know what this means.

1 month and a half:
I need to interact intensively with the osm and wikimedia tech crew to implement this tool to be linked on >openstreetmap and wikimedia commons pages.
The impact of this implementation would be great on the archeology's community in italy, in term of sharing >information about monuments and improving researches.
I would be able to develop this tool in javascript, php or python as you can see from my resume, @Dkieselev has >already given me support for this task, which is the more challenging of my internship.

Its not entirely clear what "this tool" refers to. My reading is that it refers to a tool to convert a 3d mesh file into an IFC file. Its not clear from the proposal where the 3d mesh file would come from, or why you want to be able to convert it (To help archeologists?). In any case, this section isn't detailed enough.

Maybe this project would be better as an IEG.

I think there might be a bit of a language barrier here causing misunderstanding. Maybe.

This part of your plan:

1 month and a half.
I'll build as many 3D models as I can using blender

Is the part I think is out of scope.

I know it seems so, but i can't go on with the other parts of the project without a stack of models to refer to, the blender models will be the base to build the HTML models which can be put on wikimedia thanks to this MediaWiki widget module:

https://m.mediawiki.org/wiki/Extension:Widgets

This module allows admin to keep an eye in editing permissions, for security reasons.

The HTML code to put on the widget would be generate as explained below on the quote:

and export them for online navigation with blend4web in order to put a link to them on the wikimedia commons correspondig page.

This part is probably in-scope. But in terms of goals for Wikimedia, having 3d-content by linking to an external site (or tool labs) is unideal. We want 3d content as first class citizens at wikimedia commons.

The complete list of extensions to put HTML code on MediaWiki is here:

https://m.mediawiki.org/wiki/HTML_restriction

I'd be hlad to put the HTML models on your servers using one of them, imho the widget extension is the better one, but we canndiscuss on how it's built.

I will also try to implement the wikimedia commons database during this period of time adding something that I see is missing for my nearby region (emiliaromagna)

I don't know what this means.

This means that i have a lot of materiale to add to the wikimedia database from my country.

1 month and a half:
I need to interact intensively with the osm and wikimedia tech crew to implement this tool to be linked on >openstreetmap and wikimedia commons pages.
The impact of this implementation would be great on the archeology's community in italy, in term of sharing >information about monuments and improving researches.
I would be able to develop this tool in javascript, php or python as you can see from my resume, @Dkieselev has >already given me support for this task, which is the more challenging of my internship.

Its not entirely clear what "this tool" refers to. My reading is that it refers to a tool to convert a 3d mesh file into an IFC file. Its not clear from the proposal where the 3d mesh file would come from, or why you want to be able to convert it (To help archeologists?). In any case, this section isn't detailed enough.

Some archeologist and architect has asked me to do that, for sharing infos on their researches, i could build a MediaWiki extension for exporting parametric data from the monument item using some new MediaWiki tags, i thought of using the osm tag system to store the parametric informations, but i see you would rather let me work on MediaWiki, so i could add a javascript widget to mediawiki (using the widget extension linked above)
To export [[ www.ifcwiki.org/index.php/Free_Software | ifc ]] format based on a 3d model with parametrica tags.
I first wanted to use the wiki.openstreetmap.org/wiki/Simple_3D_buildings specifications to do that, because it's well documented (i can work on it alone or with my first mentor's help) And helps me to keep some geographical data, like cardinal orientation, which is an important info to share for archeologists.

Maybe this project would be better as an IEG.

I'm sorry,
I don't know what's an IEG can you please explain me?

Anyways I'm going to update my outreachy application with the usage if MediaWiki widget and its development in case it does not work, thanks a lot for your help.

Maybe this project would be better as an IEG.

See https://meta.wikimedia.org/wiki/Grants:IEG

Jeeltcraft updated the task description. (Show Details)Oct 31 2015, 1:28 PM

Maybe this project would be better as an IEG.

See https://meta.wikimedia.org/wiki/Grants:IEG

I just updated the task description, and would love you to consider this project also for the outreachy.

Thanks for your time and efforts,
LauraC

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Nov 3 2015, 12:06 PM

Moving to 'Proposals Submitted' in #Outreachy-11 as we have your proposal in the Outreachy application system.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 11:35 AM
JeanFred moved this task from Backlog to Uploading on the Commons board.Nov 15 2015, 2:43 PM
JeanFred moved this task from Uploading to Backlog on the Commons board.
01tonythomas closed this task as Declined.Nov 23 2015, 8:45 AM

Thank you for your proposal. Sadly, the Outreachy administration team made it strict that candidates with any kind of academic/other commitments are not approved for this round. Please consider talking with your mentors about further steps, and we hope to see your application ( the same too, if the consensus still exist ) in the next round of GSoC/Outreachy. Closing the same as declined, and all the very best for the next round!

Thank you for your proposal. Sadly, the Outreachy administration team made it strict that candidates with any kind of academic/other commitments are not approved for this round. Please consider talking with your mentors about further steps, and we hope to see your application ( the same too, if the consensus still exist ) in the next round of GSoC/Outreachy. Closing the same as declined, and all the very best for the next round!

Thanks anyways, hope I'll be able to apply again...
Regards,
LauraC